Bug 78243 - xmms play stops while resizing a window
Summary: xmms play stops while resizing a window
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 15:31 UTC by Steve Holton
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 02:16:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Holton 2002-11-20 15:31:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
audio play from xmms stops if the mouse button is held down for an extended time
while resizing a window.

Version-Release number of selected component (if applicable):
xmms 1.2.5-7

How reproducible:
Always

Steps to Reproduce:
1.Start xmms playing a familiar song. Monitor playback.
2.Start an xterm (or other window-managed app)
3.Resize the xterm by grabbing a corner and stretching the window. 
4.Continue holding the mouse button down for 30 seconds. Subsequent tests
require (or is that allow?) considerably less hold time before behavior is
exhibited.


Actual Results:  Play continues for a few seconds (apparently until the buffer
runs out) then stops. Play resumes immediately as soon as the button is released.


Expected Results:  Audio through xmms should continue regardless of mouse behavior.
Desktop behavior should not block the audio system.  Playback should
be independent as long as sufficient resources are available.

Additional info:

Test involved xmms 1.2.5-7 playing ogg-format files.
I believe I've seen similar problems with WAV format, but I haven't confirmed
this test.

Comment 1 Havoc Pennington 2002-12-14 02:16:20 UTC
We are not likely to release a fix for 7.2 at this point.



Note You need to log in before you can comment on or make changes to this bug.